Subject: Re: [PATCH net-next v3 08/11] net: ethernet: ti: cpts: move rx timestamp processing to ptp worker only

From: Richard Cochran <[email-masked]>
Date: Tue, 24 Mar 2020 06:43:43 -0700

On Fri, Mar 20, 2020 at 09:42:41PM +0200, Grygorii Strashko wrote:
> Once CPTS IRQ will be enabled the CPTS irq handler may compete with netif
> RX sofirq path and so RX timestamp might not be ready at the moment packet
> is processed. As result, packet has to be deferred and processed later.

This change is not necessary.  The Rx path can simply take a spinlock,
check the event list and the HW queue.
 
> This patch moves RX timestamp processing tx timestamp processing to PTP
> worker always the same way as it's been done for TX timestamps.

There is no advantage to delaying Rx time stamp delivery.  In fact, it
can degrade synchronization performance.  The only reason the
implementation delays Tx time stamps delivery is because there is no
other way.

Thanks,
Richard